# List a thread’s messages

Canonical page: https://docs.ovok.com/api/chat/list-a-thread-s-messages

`GET /v1/chat/threads/{threadId}/messages`

A thread's messages, newest first.

## Behaviour

- `since` keeps only messages sent after an instant: after a socket reconnect, fetch `since` the newest message you have to get what was missed.
- `limit` is 1–100 (default 30). Pass `nextCursor` as `cursor` to page back; it is null on the oldest page.

## Example

```bash
curl 'https://api.sandbox.ovok.com/v1/chat/threads/<threadId>/messages?limit=30' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJpYXQiOjE3NjcyNjg4MDAsImV4cCI6MTc2NzI3MjQwMH0.Ql3B_ztDvctlyZ2z0vp4sl3ExXRQGkzmxdmTAqxNzZk'
```
